﻿using UnityEngine;
using System.Collections;

public class CheckForEnemy : MonoBehaviour {

	public GameObject fireParicles = null;
	public GameObject smokeParicles = null;
	bool startFireFX = false;
	bool startSmokeFX = false;
	// Use this for initialization
	void Start () 
	{
	
	}
	
	// Update is called once per frame
	void Update () 
	{	
		if(GameController.baseHealth <= 0 && startFireFX == false)
		{
			startFireFX = true;
			Instantiate(fireParicles, new Vector3(gameObject.transform.position.x-2.0f, gameObject.transform.position.y, gameObject.transform.position.z ), Quaternion.identity);
		}
		if(GameController.baseHealth <= 50 && startSmokeFX == false)
		{
			startSmokeFX = true;
			Instantiate(smokeParicles, new Vector3(gameObject.transform.position.x-2.0f, gameObject.transform.position.y, gameObject.transform.position.z ), Quaternion.identity);
		}
		
	}
	
	void OnTriggerEnter(Collider other)
	{
		if(other.gameObject.tag == "enemy")
		{
			GameController.baseHealth -= other.GetComponent<Enemy>().damageAmount;
			other.GetComponent<Enemy>().EnemyDestroy(false);
		}
	}
	
}
