﻿using UnityEngine;
using System.Collections;

//Aidan Lawrence Scripts

public class Spawner : MonoBehaviour
 {

	//Place this script on any game object in your scene to have it act as a spawn location.
	public void Spawn(GameObject spawnObjectName, int amount, float howOften, Quaternion rotation) //This function will spawn a passed game object X amount of times every X seconds
	{
		for(int i = 0; i<amount; i++)
		{
			Instantiate(spawnObjectName, gameObject.transform.position, rotation);
			StartCoroutine(Wait(howOften));
		}
	}
	IEnumerator Wait(float seconds)
	{
		yield return new WaitForSeconds(seconds);
	}

	
}
