﻿using UnityEngine;
using System.Collections;

public class ItemPriceCompare : MonoBehaviour 
{
	TextMesh itemTextMesh;
	Color originalColor;
	public float cost = 50.0f;
	
	void Start()
	{
		itemTextMesh = gameObject.GetComponent<TextMesh>();
		originalColor = itemTextMesh.color;
	}
	void Update () 
	{
		itemTextMesh.text = "$" + cost.ToString();
		if(GameController.funds < cost)
			itemTextMesh.color = Color.red;
		else
			itemTextMesh.color = originalColor;
	}
}
